import os

basedir = os.path.abspath(os.path.dirname(__file__))

class Config(object):
    SECRET_KEY = f"{os.getenv('SECRET_KEY')}"
    RECAPTCHA_PUBLIC_KEY = f"{os.getenv('RECAPTCHA_PUBLIC_KEY')}"
    RECAPTCHA_PRIVATE_KEY = f"{os.getenv('RECAPTCHA_PRIVATE_KEY')}"
    SQLALCHEMY_DATABASE_URI = os.getenv("DATABASE_URL", "sqlite://")
    SQLALCHEMY_TRACK_MODIFICATIONS = False
    STATIC_FOLDER = f"{os.getenv('APP_HOME')}/forest/static"
    MEDIA_FOLDER = f"{os.getenv('APP_HOME')}/forest/media"
    ADMIN_PREFIX = "fadmin"
    MAIL_SENDER = f"{os.getenv('MAIL_SENDER')}"
    MAIL_SERVER = f"{os.getenv('MAIL_SERVER')}"
    MAIL_USERNAME = f"{os.getenv('MAIL_USERNAME')}"
    MAIL_PASSWORD = f"{os.getenv('MAIL_PASSWORD')}"
    MAIL_PORT = f"{os.getenv('MAIL_PORT')}"
    MAIL_SUBJECT_PREFIX = f"{os.getenv('MAIL_SUBJECT_PREFIX')}"
    MAIL_USE_TLS = f"{os.getenv('MAIL_USE_TLS')}"
    ADMIN_MAIL = f"{os.getenv('ADMIN_MAIL')}"
    ITEMS_PER_PAGE = f"{os.getenv('ITEMS_PER_PAGE')}"
